> For the complete documentation index, see [llms.txt](https://docs.nmkr.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nmkr.io/jp/nmkr-studio-api/apino/i/tkunninmkr-pay-linkwosuru.md).

# 複数トークン販売用にNMKR Pay Linkを作成する

このエンドポイントを使用すると、NMKR Payを介した複数の特定トークンの購入プロセスの前に、独自のカスタムキューまたはホワイトリストシステムを柔軟に追加できます。

顧客が[NMKR Pay](https://docs.nmkr.io/nmkr-studio/set-up-sales/nmkr-pay)経由で複数の特定のトークンを購入できるようにする特定の支払い取引を作成するには、APIエンドポイントを呼び出します：

```
/v2/CreatePaymentTransaction
```

#### Curlのリクエスト

NMKR APIと同様に、APIキー/認証トークンはヘッダで指定します：

さらに、販売したいトークンの「projectUid」（プロジェクトIDではない）と「nftUids」（トークンIDではない）、そしてそれぞれのトークン数を指定します。

```json
curl --request POST \
--url https://studio-api.nmkr.io/v2/CreatePaymentTransaction \
--header 'Content-Type: application/json' \
--header 'authorization: <your API Key>' \
--data '{
"projectUid": "9e2d000a-ed53-4db4-819b-25cdab41fd47",
"paymentTransactionType": "nmkr_pay_specific",
"paymentgatewayParameters": {
"mintNfts": {
"reserveNfts": [
{
"nftUid": "608bf1ba-79e5-4e84-b011-e12e0ed0999f",
"tokencount": 1
},
{
"nftUid": "5cd4bebb-c0c5-48ed-ab25-58aa19639840",
"tokencount": 1
}
]
}
},
"customerIpAddress": "1.2.3.4"
}'
```

#### 応答

NMKR Studioから返される応答は、UIDによってプロジェクトとトークンを識別し、トークン[自体](https://docs.nmkr.io/nmkr-studio/token/edit#static-price-with-specific-sales)または[価格リストに](https://docs.nmkr.io/nmkr-studio/set-up-sales/manage-prices-pricelist)[指定さ](https://docs.nmkr.io/nmkr-studio/token/edit#static-price-with-specific-sales)れたトークンの価格を示すようになりました。

フィールド「nmkrPayUrl」には、すべての[機能を](https://docs.nmkr.io/nmkr-studio/set-up-sales/nmkr-pay#nmkr-pay-vs.-pay-in-address)備えた[NMKR Pay](https://docs.nmkr.io/nmkr-studio/set-up-sales/nmkr-pay)経由でトークンを購入するための[特定の支払いリンクが](https://docs.nmkr.io/nmkr-studio/set-up-sales/nmkr-pay/specific-payment-links)含まれるようになりました。

```json
{
  "paymentTransactionUid": "Ta1a88a1cf1744c76889396c9ae916a88",
  "projectUid": "9e2d000a-ed53-4db4-819b-25cdab41fd47",
  "paymentTransactionType": "nmkr_pay_specific",
  "customProperties": {},
  "state": "prepared",
  "transactionParameters": [
    {
      "tokencount": 1,
      "policyId": null,
      "tokenname": "ThatsWhy0038",
      "tokennameHex": "546861747357687930303338"
    },
    {
      "tokencount": 1,
      "policyId": null,
      "tokenname": "ThatsWhy0042",
      "tokennameHex": "546861747357687930303432"
    }
  ],
  "paymentTransactionCreated": "2023-08-17T12:31:06.2258978+00:00",
  "paymentgatewayResults": {
    "priceInLovelace": 80000000,
    "fee": null,
    "minUtxo": null,
    "mintNfts": {
      "countNfts": 1,
      "reserveNfts": [
        {
          "nftUid": "608bf1ba-79e5-4e84-b011-e12e0ed0999f",
          "tokencount": 1,
          "tokennameHex": "546861747357687930303338",
          "policyId": null,
          "nftId": 286521,
          "lovelace": null
        },
        {
          "nftUid": "5cd4bebb-c0c5-48ed-ab25-58aa19639840",
          "tokencount": 1,
          "tokennameHex": "546861747357687930303432",
          "policyId": null,
          "nftId": 286525,
          "lovelace": null
        }
      ]
    },
    "additionalPriceInTokens": []
  },
  "paymentTransactionSubStateResult": null,
  "auctionResults": null,
  "directSaleResults": null,
  "directSaleOfferResults": null,
  "decentralParameters": null,
  "mintAndSendResults": null,
  "smartContractInformation": null,
  "cbor": "",
  "signedCbor": "",
  "expires": null,
  "signGuid": null,
  "fee": null,
  "txHash": null,
  "nmkrPayUrl": "https://pay.nmkr.io/?mtid=Ta1a88a1cf1744c76889396c9ae916a88",
  "referencedTransaction": null,
  "customeripaddress": "1.2.3.4",
  "referer": null
}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nmkr.io/jp/nmkr-studio-api/apino/i/tkunninmkr-pay-linkwosuru.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
